/* $Id: pgrpm.h,v 1.6 2008/07/23 23:20:58 nanardon Exp $ */
#ifndef H_PGRPM
#define H_PGRPM

#define SCAREMEM 0

#define HEADER_MAGIC_SIZE 4 /* Size of MAGIC header */

#if RPMMAJOR == 5
#include <stdint.h>

#include <rpm/rpmio.h>
#include <rpm/rpmcb.h>
#include <rpm/rpmpgp.h> /* for pgpHexCvt */
#include <rpm/rpmevr.h>
#include <rpm/rpmtag.h>
#include <rpm/pkgio.h>
#include <rpm/rpmlib.h>
#include <rpm/rpmts.h>
#include <rpm/rpmfi.h>
#include <rpm/rpmds.h>

#define RPM_CHAR_TYPE           RPM_UINT8_TYPE
#define RPM_INT8_TYPE           RPM_UINT8_TYPE
#define RPM_INT16_TYPE          RPM_UINT16_TYPE
#define RPM_INT32_TYPE          RPM_UINT32_TYPE

typedef uint32_t        int_32;
typedef uint32_t        uint_32;

typedef uint32_t *      hTAG_t;
typedef uint32_t *      hTYP_t;
typedef uint32_t *      hCNT_t;

#else

#include <rpm/rpmlib.h>
#include <rpm/header.h>
#include <rpm/rpmts.h>
#include <rpm/rpmfi.h>
#include <rpm/rpmds.h>
#include <rpm/rpmpgp.h> /* for pgpHexCvt */

#endif

/*
#define PGRPM_DEBUG
*/

char * GET_STR(const text *text);

#endif /* H_PGRPM */
